/* eslint-disable no-restricted-syntax */
const states = require('../states');

expect.extend({
  toBeWithinRange(received, floor, ceiling) {
    const receivedLength = received.length;
    const pass = receivedLength >= floor && receivedLength <= ceiling;
    if (pass) {
      return {
        message: () => `expected ${received} not to be within range ${floor} - ${ceiling}`,
        pass: true,
      };
    }
    return {
      message: () => `expected ${received} to be within range ${floor} - ${ceiling}`,
      pass: false,
    };
  },
});

describe('check countries', () => {
  it('Number of countries', () => {
    const codes = Object.keys(states);
    for (const code of codes) {
      if (code !== 'D' && code !== 'SI' && code !== 'AR') {
        expect(code).toBeWithinRange(2, 3);
      }
    }
    expect(states.CHE).toBe('Switzerland');
  });
});
