const parse = require('../parse');

describe('parse Moldova TD1', () => {
  it('Moldova TD1 - valid', () => {
    const data = [
      'CAMDAB2502552882005500077778<4',
      '0007113M2507112MDA<<<<<<<<<<<2',
      'SECARA<<PAVEL<<<<<<<<<<<<<<<<<',
    ];

    const result = parse(data);
    expect(result).toMatchObject({
      format: 'MOLDOVA_TD1',
      valid: true,
    });
    expect(result.fields).toStrictEqual({
      documentCode: 'CA',
      issuingState: 'MDA',
      documentNumber: 'B25025528',
      documentNumberCheckDigit: '8',
      personalNumber: '2005500077778',
      birthDate: '000711',
      birthDateCheckDigit: '3',
      sex: 'male',
      expirationDate: '250711',
      expirationDateCheckDigit: '2',
      nationality: 'MDA',
      optional2: '',
      compositeCheckDigit: '2',
      lastName: 'SECARA',
      firstName: 'PAVEL',
    });
  });
});
