const parse = require('../parse');

describe("parse slovakia driver's license", () => {
  it('valid slovak mrz parsing', () => {
    const MRZ = ['DLSVKE4562546<4970818130041357'];
    const result = parse(MRZ);
    expect(result.format).toBe('SLOVAK_DRIVING_LICENSE');
    expect(result.fields).toStrictEqual({
      documentCode: 'D',
      issuingState: 'SVK',
      documentNumber: 'E4562546',
      documentNumberCheckDigit: '4',
      birthDate: '970818',
      birthDateCheckDigit: '1',
      expirationDate: '300413',
      expirationDateCheckDigit: '5',
      compositeCheckDigit: '7',
    });
    expect(result.valid).toBe(true);
  });

  describe.each([
    'DLSVKE4065108<2870214829112509',
    'DLSVKE5187056<4970224830090931',
  ])('validate slovak mrz', (mrz) => {
    it('valid mrz', () => {
      expect(parse(mrz).valid).toBe(true);
    });
  });
});
