const parse = require('../parse');

describe('validate mrz', () => {
  describe.each([
    [
      'invalid number of lines: 2: Must be 3 for CHILE_NATIONAL_ID',
      [
        'IDCHL1000001750A01<<<<<<<<<<<<',
        '8302216F2302214CHL1274962number5<0<3',
      ],
    ],
    [
      'invalid number of characters for line 2: 12. Must be 30 for CHILE_NATIONAL_ID',
      [
        'IDCHL1000001750A01<<<<<<<<<<<<',
        '8302216F2302',
        'FREDEZ<VIDAL<<MARCELA<CAROLINA',
      ],
    ],
    [
      'invalid number of lines: 2: Must be 3 for BOTSWANA_TD1',
      [
        'ACBWAS1690000<8618888104<<<<<<',
        '6611215F1910027BWA03300777<<<5',
      ],
    ],
    [
      'invalid number of characters for line 2: 22. Must be 30 for BOTSWANA_TD1',
      [
        'ACBWAS1690000<8618888104<<<<<<',
        '6611215F1910027BWA0330',
        'TOPIPENG<<TEPOLO<LEARI<<<<<<<<',
      ],
    ],
  ])('error message should be: %s', (errorMessage, mrz) => {
    it('wrong mrz format', () => {
      expect(() => parse(mrz)).toThrow(errorMessage);
    });
  });
});
