function getFields(details) {
  const fields = details.reduce((acc, detail) => {
    if (detail.field) {
      acc[detail.field] = detail.value;
    }
    return acc;
  }, {});
  const valid = details.every((detail) => detail.valid);
  return { fields, valid };
}

function getResult(format, lines, fieldParsers) {
  const details = fieldParsers.map((parser) => parser(lines));
  const result = {
    format,
    details,
    ...getFields(details),
  };
  return result;
}

module.exports = getResult;
