const parseTD1 = require('./td-1/td1');
const parseTD2 = require('./td-2/td2');
const parseTD3 = require('./td-3/td3');

const parseBotswanaTD1 = require('./td-1/botswanaTD1');
const parseChileNationalID = require('./td-1/chileNationalID');
const parseDominicanTD1 = require('./td-1/td1-dominican');
const parseEcuadorTD1 = require('./td-1/td1-ecuador');
const parseKenyaIdCard = require('./td-1/kenyaIdCard');
const parseGuatemalaTD1 = require('./td-1/guatemalaTD1');
const parseKuwaitTD1 = require('./td-1/td1-kuwait');
const parseMexicanIdCard = require('./td-1/mexicanIdCard');
const parseMoldovaTD1 = require('./td-1/td1-moldova');
const parseMozambiqueTD1 = require('./td-1/mozambiqueTD1');
const parsePakistanTD1 = require('./td-1/td1-pakistan');
const parsePolandTD1 = require('./td-1/td1-poland');
const { parseSalvadorTD1 } = require('./td-1/td1-salvador');
const parseUruguayTD1 = require('./td-1/uruguayTD1');

const parseSwissDrivingLicense = require('./driving-license/swissDrivingLicense');
const parseFrenchNationalId = require('./td-2/frenchNationalId');
const parseFrenchDrivingLicense = require('./driving-license/frenchDrivingLicense');
const parseEstonianDrivingLicense = require('./driving-license/estonianDrivingLicense');
const parseSlovakDriverLicense = require('./driving-license/slovakDrivingLicense');
const parseIrelandDrivingLicense = require('./driving-license/irelandDrivingLicense');
const parseNetherlandsDrivingLicense = require('./driving-license/netherlandsDrivingLicense');
const parseCroatiaDrivingLicense = require('./driving-license/croatiaDrivingLicense');
const parseLuxembourgIdCard = require('./luxembourg-id-card');

module.exports = {
  TD1: parseTD1,
  TD2: parseTD2,
  TD3: parseTD3,

  BOTSWANA_TD1: parseBotswanaTD1,
  DOMINICAN_TD1: parseDominicanTD1,
  ECUADOR_TD1: parseEcuadorTD1,
  GUATEMALA_TD1: parseGuatemalaTD1,
  KUWAIT_TD1: parseKuwaitTD1,
  MOLDOVA_TD1: parseMoldovaTD1,
  MOZAMBIQUE_TD1: parseMozambiqueTD1,
  PAKISTAN_DOMESTIC_TD1: parsePakistanTD1,
  POLAND_TD1: parsePolandTD1,
  SALVADOR_TD1: parseSalvadorTD1,
  URUGUAY_TD1: parseUruguayTD1,

  LUXEMBOURG_ID_CARD: parseLuxembourgIdCard,
  SWISS_DRIVING_LICENSE: parseSwissDrivingLicense,
  FRENCH_NATIONAL_ID: parseFrenchNationalId,
  FRENCH_DRIVING_LICENSE: parseFrenchDrivingLicense,
  ESTONIAN_DRIVING_LICENSE: parseEstonianDrivingLicense,
  IRELAND_DRIVING_LICENSE: parseIrelandDrivingLicense,
  SLOVAK_DRIVING_LICENSE: parseSlovakDriverLicense,
  NETHERLANDS_DRIVING_LICENSE: parseNetherlandsDrivingLicense,
  CROATIA_DRIVING_LICENSE: parseCroatiaDrivingLicense,
  MEXICAN_ID_CARD: parseMexicanIdCard,
  CHILE_NATIONAL_ID: parseChileNationalID,
  KENYA_ID_CARD: parseKenyaIdCard,
};
