const { fields } = require('./td1Fields');
const { documentNumberTemplate } = require('../fieldTemplates');

const parseDocumentNumber = require('../../parsers/parseDocumentNumber');

const documentNumberRules = {
  ...documentNumberTemplate,
  line: 0,
  start: 14,
  end: 27,
  parser: parseDocumentNumber,
};

const pakistanFields = fields.filter((field) => (field.field !== 'compositeCheckDigit' && field.field !== 'documentNumberCheckDigit'))
  .map((field) => (field.field === 'documentNumber' ? documentNumberRules : field));

module.exports = {
  fields: pakistanFields,
};
