const { fields } = require('../td1Fields');

const parseDocumentNumberByExtractFunc = require('../../../parsers/parseDocumentNumberByExtractFunc');

const { isDocNumber } = require('../../parse-helpers');

const parseDocumentNumber = parseDocumentNumberByExtractFunc((source, checkDigit, optional) => [
  source.replace(/\D/g, ''),
  checkDigit,
  optional]);

const docNumberField = fields.find(isDocNumber);

const docNumberRule = {
  ...docNumberField,
  parser: parseDocumentNumber,
};

const ecuadorRules = {
  documentNumber: docNumberRule,
};

const wrapFieldEcuador = (f) => (ecuadorRules[f.field] || f);

module.exports = {
  fields: fields.map(wrapFieldEcuador),
};
