/* eslint-disable no-param-reassign */
module.exports = function parseDate(value) {
  const allowedChars = new Set(['<<', 'XX', '**']);
  value = value.replace(/[OU]/g, '0').replace(/[.]/g, '');
  if (!value.match(/^[0-9<X*]{4,8}$/)) {
    throw new Error(`invalid date: ${value}`);
  }

  const month = value.substring(2, 4);
  if (!allowedChars.has(month) && (month < 0 || month > 12)) {
    throw new Error(`invalid date month: ${month}`);
  }

  if (value.length === 6) {
    const day = value.substring(4, 6);
    if (!allowedChars.has(day) && (day < 0 || day > 31)) {
      throw new Error(`invalid date day: ${day}`);
    }
  }

  return value;
};
